# TARGTYPE "Win32 (x86) Console Application" 0x0103

!IF "$(CFG)" == ""
CFG=Win32 Debug
!MESSAGE No configuration specified.  Defaulting to Win32 Debug.
!ENDIF 

!IF "$(CFG)" != "Win32 Release" && "$(CFG)" != "Win32 Debug"
!MESSAGE Invalid configuration "$(CFG)" specified.
!MESSAGE You can specify a configuration when running NMAKE on this makefile
!MESSAGE by defining the macro CFG on the command line.  For example:
!MESSAGE 
!MESSAGE NMAKE /f "nt.mak" CFG="Win32 Debug"
!MESSAGE 
!MESSAGE Possible choices for configuration are:
!MESSAGE 
!MESSAGE "Win32 Release" (based on "Win32 (x86) Console Application")
!MESSAGE "Win32 Debug" (based on "Win32 (x86) Console Application")
!MESSAGE 
!ERROR An invalid configuration is specified.
!ENDIF 

################################################################################
# Begin Project
# PROP Target_Last_Scanned "Win32 Debug"
CPP=cl.exe
RSC=rc.exe

BINDIR=..\bin
LIBDIR=..\lib

ALL : libview

libview: $(LIBDIR)\libview.lib $(BINDIR)\libview.dll

XWorkstat: $(LIBDIR)\XWorkstat.lib $(BINDIR)\XWorkstat.dll

xlib: $(LIBDIR)\xlib.lib $(LIBDIR)\xlib.dll

$(LIBDIR) : 
	if not exist $(LIBDIR)/nul mkdir $(LIBDIR)


!IF  "$(CFG)" == "Win32 Debug"

# PROP BASE Use_MFC 0
# PROP BASE Use_Debug_Libraries 1
# PROP BASE Output_Dir "WinDebug"
# PROP BASE Intermediate_Dir "WinDebug"
# PROP Use_MFC 0
# PROP Use_Debug_Libraries 1
# PROP Output_Dir "WinDebug"
# PROP Intermediate_Dir "WinDebug"
OUTDIR=.\WinDebug
INTDIR=.\WinDebug

$(OUTDIR) : 
    if not exist $(OUTDIR)/nul mkdir $(OUTDIR)

DEFS=/D"DEBUG" /D"WIN32" /D"_CONSOLE"
O=obj

# ADD BASE CPP /nologo /W3 /GX /Zi /YX /Od /D "WIN32" /D "DEBUG" /D "_CONSOLE" /FR /c
# ADD CPP /nologo /W3 /GX /Zi /YX /Ob1 /I "..\include" /D "DEBUG" /D "WIN32" /D "_CONSOLE" /FR /c
# SUBTRACT CPP /WX
CPP_PROJ=/nologo /W3 /GX /Zi /YX /Ob1 /I "..\include" $(DEFS) /FR$(INTDIR)/\
 /Fp$(OUTDIR)/"libviewnt.pch" /Fo$(INTDIR)/ /Fd$(OUTDIR)/"libviewnt.pdb" /c 
CPP_OBJS=.\WinDebug/
# ADD BASE RSC /l 0x409 /d "DEBUG"
# ADD RSC /l 0x409 /d "DEBUG"
BSC32=bscmake.exe
# ADD BASE BSC32 /nologo
# ADD BSC32 /nologo

.\WinDebug\stcnt.bsc : $(OUTDIR)  $(BSC32_SBRS)
    $(BSC32) @<<
  $(BSC32_FLAGS) $(BSC32_SBRS)
<<

LIBRUN=..\lib\librun.lib

LINK32=link.exe
# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib /NOLOGO /SUBSYSTEM:console /DEBUG /MACHINE:I386
# ADD LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib wsock32.lib /NOLOGO /SUBSYSTEM:console /DEBUG /MACHINE:I386

LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib \
 wsock32.lib \
 $(LIBRUN) \
 /NOLOGO /SUBSYSTEM:console /INCREMENTAL:yes\
 /PDB:$(OUTDIR)/"libviewnt.pdb" /DEBUG /MACHINE:I386 /DLL \
 /OUT:"WinDebug\libview.dll" /DEF:nt.def 
DEF_FILE=nt.def
LINK32_OBJS= \
        DevWorkst.$(O)                                \
        WSensor.$(O)                                  \
          SWSensor.$(O)                               \
        Image.$(O)                                    \
          Depth1Image.$(O)                            \
          Depth2Image.$(O)                            \
          Depth4Image.$(O)                            \
          Depth8Image.$(O)                            \
          Depth24Image.$(O)                           \
        ImageRdr.$(O)				      \
            Workstat.$(O)                       \
            Color.$(O)                          \
            Colormap.$(O)                       \
            FontDescr.$(O)                      \
              Font.$(O)                         \
            Cursor.$(O)                         \
            DevHandle.$(O)                      \
              DevViewH.$(O)                     \
              DevFormH.$(O)                     \
            GC.$(O)                             \
              DMedium.$(O)                      \
                DevDraw.$(O)                    \
                  Form.$(O)                     \
                  PseudoV.$(O)                  \
                    SimpleView.$(O)             \
                      View.$(O)                 \
                        TopView.$(O)            \
                          StdSysV.$(O)          \
                            ModalBox.$(O)       \
                          PopUpView.$(O)        \
                        ShadowV.$(O)            \
                      DRootView.$(O)            \
            Controll.$(O)                       \
            WTrans.$(O)                         \
            WEvent.$(O)                         \
            WGroup.$(O)                         \
            KeybdFwd.$(O)                       \
            KeybdMap.$(O)                       \
            RsrcPack.$(O)                       \
              ViewStyle.$(O)                    \
            Depth16Image.$(O)                   \
        XWorkstat.$(O)                          \
        xlib.$(O)                               \
	libviewInit.obj

$(BINDIR)\libview.dll: $(OUTDIR)\libview.dll
	-copy $(OUTDIR)\libview.dll $(BINDIR)\*.*

$(LIBDIR)\libview.lib: $(OUTDIR)\libview.lib
	-copy $(OUTDIR)\libview.lib $(LIBDIR)\*.*

$(BINDIR)\xlib.dll: $(OUTDIR)\xlib.dll
	-copy $(OUTDIR)\xlib.dll $(BINDIR)\*.*

$(LIBDIR)\xlib.lib: $(OUTDIR)\xlib.lib
	-copy $(OUTDIR)\xlib.lib $(LIBDIR)\*.*

$(BINDIR)\XWorkstat.dll: $(OUTDIR)\XWorkstat.dll
	-copy $(OUTDIR)\XWorkstat.dll $(BINDIR)\*.*

$(LIBDIR)\XWorkstat.lib: $(OUTDIR)\XWorkstat.lib
	-copy $(OUTDIR)\XWorkstat.lib $(LIBDIR)\*.*

.\WinDebug\libview.lib : $(OUTDIR) $(DEF_FILE) $(LINK32_OBJS)
    -$(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

.\WinDebug\libview.dll : $(OUTDIR)  $(DEF_FILE) $(LINK32_OBJS) $(LIBRUN)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

xlib.obj:	..\support\ntxlib\xlib.obj
	-copy ..\support\ntxlib\xlib.obj *.*

LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib \
 wsock32.lib \
 $(LIBRUN) \
 /NOLOGO /SUBSYSTEM:console /INCREMENTAL:yes\
 /PDB:$(OUTDIR)/"xlibnt.pdb" /DEBUG /MACHINE:I386 /DLL \
 /OUT:"WinDebug\xlib.dll" /DEF:xlib.def 

.\WinDebug\xlib.lib : $(OUTDIR) $(DEF_FILE) $(XLIB_OBJS)
    -$(LINK32) @<<
  $(LINK32_FLAGS) $(XLIB_OBJS)
<<

.\WinDebug\xlib.dll : $(OUTDIR)  $(DEF_FILE) $(XLIB_OBJS) $(LIBRUN)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(XLIB_OBJS)
<<

.\WinDebug\XWorkstat.lib : $(OUTDIR) $(DEF_FILE) XWorkstat.$(O)
    -$(LINK32) @<<
  $(LINK32_FLAGS) XWorkstat.$(O)
<<

.\WinDebug\xlib.dll : $(OUTDIR)  $(DEF_FILE) XWorkstat.$(O) $(LIBRUN)
    $(LINK32) @<<
  $(LINK32_FLAGS) XWorkstat.$(O)
<<

!ENDIF 

.c{$(CPP_OBJS)}.obj:
   $(CPP) $(CPP_PROJ) $<  

.cpp{$(CPP_OBJS)}.obj:
   $(CPP) $(CPP_PROJ) $<  

.cxx{$(CPP_OBJS)}.obj:
   $(CPP) $(CPP_PROJ) $<  

############################################################################
# Begin Group "src"

STC=..\bin\stc
INCL=-I"..\include"
STCFLAGS=-H..\include
DBGFLAGS=-Yd
# FFLAGS=-Fo.\WinDebug

.SUFFIXES: .st .obj

.st.obj:
    $(STC) $(INCL) $(FFLAGS) $(STCFLAGS) $(DBGFLAGS) $(DEFS) -c $<

.c.obj:
    $(CC) $(INCL) $(FFLAGS) $(DEFS) $(DBGFLAGS) -c $<

# End Source File
############################################################################

# End Group
# End Project
############################################################################
